package fr.natan.cleanarchitectureaddressservice.infrastructure.ports.input.feignclient.service;

import fr.natan.cleanarchitectureaddressservice.infrastructure.ports.input.feignclient.entity.model.EmployeeModel;
import org.springframework.cloud.openfeign.FeignClient;
import org.springframework.web.bind.annotation.PathVariable;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RequestMethod;

import java.util.List;

@FeignClient(name = "CLEAN-ARCHI-BUSINESS-SERVICE-EMPLOYEE")
public interface EmployeeService {
    @RequestMapping(value = "/employees/addresses/{addressID}", method = RequestMethod.GET)
    List<EmployeeModel> getEmployeesLivingAtGivenAddress(@PathVariable(name = "addressID") Long addressID);
}
