package fr.natan.cleanarchitecturecompanyservice.infrastructure.ports.input.feignclient.service;

import fr.natan.cleanarchitecturecompanyservice.infrastructure.ports.input.feignclient.model.ProjectModel;
import org.springframework.cloud.openfeign.FeignClient;
import org.springframework.web.bind.annotation.PathVariable;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RequestMethod;

import java.util.List;

@FeignClient(name = "CLEAN-ARCHI-BUSINESS-SERVICE-PROJECT")
public interface ProjectService {
    @RequestMapping(value = "/projects/companies/{companyID}", method = RequestMethod.GET)
    List<ProjectModel> getProjectsAssignedCompany(@PathVariable(name = "companyID") String companyID);
}
