package fr.natan.cleanarchitectureemployeesservice.infrastructure.ports.input.feignclient.services;

import fr.natan.cleanarchitectureemployeesservice.infrastructure.ports.input.feignclient.models.ProjectModel;
import org.springframework.cloud.openfeign.FeignClient;
import org.springframework.web.bind.annotation.PathVariable;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RequestMethod;

import java.util.List;


@FeignClient(name = "CLEAN-ARCHI-BUSINESS-SERVICE-PROJECT")
public interface ProjectService {
    @RequestMapping(value = "/projects/employees/{employeeID}", method = RequestMethod.GET)
    List<ProjectModel> getProjectsAssignedToEmployee(@PathVariable(name = "employeeID") String employeeID);
}
